It's the weekend, so naturally I'm up past midnight attempting to compile PHP8 on macos and hitting an obstacle (something about mbstring + pcre was causing an error from ld about symbols not being found .... I dunno. Maybe make clean fixed it? Probably not.)

Follow

Yay, make clean did work. But now I need to figure out how to enable openssl 😂

Hmm, I need to replace "php": "^7.2" in a composer.json ... so that it can support 7.2-8.0 ... suggestions?

Maybe "^7.2|^8.0" ... or will someone yell at me for that?

Sign in to participate in the conversation
PHP Community on Mastodon

Open source. Open community. We are dedicated to building and enriching the PHP community.